# Uses of Enum Class
org.bukkit.WorldType

Packages that use WorldType
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of WorldType in org.bukkit

Methods in org.bukkit that return WorldType
Modifier and Type
Method
Description
`static @Nullable WorldType`
WorldType.`getByName(@NotNull String name)`
Gets a WorldType by its name
`@Nullable WorldType`
World.`getWorldType()`
Deprecated.
world type is only used to select the default word generation settings and is not stored in Vanilla worlds, making it impossible for this method to always return the correct value.
`@NotNull WorldType`
WorldCreator.`type()`
Gets the type of the world that will be created or loaded
`static WorldType`
WorldType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WorldType[]`
WorldType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type WorldType
Modifier and Type
Method
Description
`@NotNull WorldCreator`
WorldCreator.`type(@NotNull WorldType type)`
Sets the type of the world that will be created or loaded